Utils service

### Hierarchy

- UtilsService

## Index

### Constructors

- constructor

### Methods

- getAssets
- getDate
- getDateAddDay
- getDateObject
- getDatePass
- getDonghsno
- getJobTypeNm
- getNl2Br
- getText2Html
- getWorkWkiSend
- isNotNull
- isNull
- parseTel
- showDate
- showDateRange
- showTextJoin
- showTime
- getInstance

## Constructors

### constructor

- new UtilsService(): UtilsService

- - Defined in src/services/utils.service.ts:20

  Creates an instance of utils service.

  #### Returns UtilsService

## Methods

### getAssets

- getAssets(url: string): string

- - Defined in src/services/utils.service.ts:341

  Gets assets

  #### Parameters

  - ##### url: string

  #### Returns string

### getDate

- getDate(date?: string | Date, format?: string): string

- - Defined in src/services/utils.service.ts:53

  Gets date

  #### Parameters

  - ##### Optional date: string | Date

  - ##### Optional format: string

  #### Returns string

### getDateAddDay

- getDateAddDay(date?: string | Date, addDay?: number, format?: string): string

- - Defined in src/services/utils.service.ts:231

  Gets date add day

  #### Parameters

  - ##### Optional date: string | Date

  - ##### Optional addDay: number

  - ##### Optional format: string

  #### Returns string

### getDateObject

- getDateObject(date?: string | Date): Date

- - Defined in src/services/utils.service.ts:212

  Gets date object

  #### Parameters

  - ##### Optional date: string | Date

  #### Returns Date

  date of date object

### getDatePass

- getDatePass(date?: string | Date): string

- - Defined in src/services/utils.service.ts:186

  Gets date

  #### Parameters

  - ##### Optional date: string | Date

  #### Returns string

### getDonghsno

- getDonghsno(dong?: string, hsno?: string): string

- - Defined in src/services/utils.service.ts:161

  Gets donghsno

  #### Parameters

  - ##### Optional dong: string

  - ##### Optional hsno: string

  #### Returns string

### getJobTypeNm

- getJobTypeNm(lJobType?: string, mJobType?: string, sJobType?: string): string

- - Defined in src/services/utils.service.ts:112

  Gets donghsno

  #### Parameters

  - ##### Optional lJobType: string

  - ##### Optional mJobType: string

  - ##### Optional sJobType: string

  #### Returns string

### getNl2Br

- getNl2Br(text?: string): string

- - Defined in src/services/utils.service.ts:40

  Gets nl2 br

  #### Parameters

  - ##### Optional text: string

  #### Returns string

  nl2 br

### getText2Html

- getText2Html(text?: string): string

- - Defined in src/services/utils.service.ts:131

  Gets text2 html

  #### Parameters

  - ##### Optional text: string

  #### Returns string

### getWorkWkiSend

- getWorkWkiSend(workWkiPushYn?: string, workWkiSmsYn?: string): boolean

- - Defined in src/services/utils.service.ts:146

  Gets work wki send

  #### Parameters

  - ##### Optional workWkiPushYn: string

  - ##### Optional workWkiSmsYn: string

  #### Returns boolean

### isNotNull

- isNotNull(input: any): boolean

- - Defined in src/services/utils.service.ts:101

  Determines whether not null is

  #### Parameters

  - ##### input: any

  #### Returns boolean

  true if not null

### isNull

- isNull(input: any): boolean

- - Defined in src/services/utils.service.ts:73

  Determines whether null is

  #### Parameters

  - ##### input: any

  #### Returns boolean

  true if null

### parseTel

- parseTel(tel: string): string

- - Defined in src/services/utils.service.ts:246

  Parses tel

  #### Parameters

  - ##### tel: string

  #### Returns string

### showDate

- showDate(date: string, def?: string): string

- - Defined in src/services/utils.service.ts:260

  Shows date

  #### Parameters

  - ##### date: string

  - ##### def: string = '___-__-__'

  #### Returns string

### showDateRange

- showDateRange(from: string, to: string): string

- - Defined in src/services/utils.service.ts:280

  Shows date range

  #### Parameters

  - ##### from: string

  - ##### to: string

  #### Returns string

### showTextJoin

- showTextJoin(delimiter?: string, ...data: string[]): string

- - Defined in src/services/utils.service.ts:291

  Shows text join

  #### Parameters

  - ##### delimiter: string = ' - '

  - ##### Rest ...data: string[]

  #### Returns string

### showTime

- showTime(from: string, to?: string): string

- - Defined in src/services/utils.service.ts:308

  Shows time

  #### Parameters

  - ##### from: string

  - ##### Optional to: string

  #### Returns string

### Static getInstance

- getInstance(): UtilsService

- - Defined in src/services/utils.service.ts:28

  Gets instance

  #### Returns UtilsService

  instance

Generated using TypeDoc